summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2015-03-23 16:58:46 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-29 07:38:39 +0700
commitf8288ef7f8da5a6a30e1a008745450b97152f73c (patch)
tree973812c34febc4d97004f55f6d005b7800db0411
parenta587e861130779f2e9c761506e3e9570c438a1a0 (diff)
downloadslackbuilds-f8288ef7f8da5a6a30e1a008745450b97152f73c.tar.gz
slackbuilds-f8288ef7f8da5a6a30e1a008745450b97152f73c.tar.xz
audio/speex: Re-added the dsp component.
Thanks to Walter Alejandro Iglesias for the heads-up! Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--audio/speex/speex.SlackBuild40
-rw-r--r--audio/speex/speex.info6
2 files changed, 40 insertions, 6 deletions
diff --git a/audio/speex/speex.SlackBuild b/audio/speex/speex.SlackBuild
index 1b719186d3..c3c1ccc3a1 100644
--- a/audio/speex/speex.SlackBuild
+++ b/audio/speex/speex.SlackBuild
@@ -30,7 +30,8 @@
PRGNAM=speex
VERSION=${VERSION:-1.2rc2}
-BUILD=${BUILD:-1}
+DSPVERSION=${DSPVERSION:-1.2rc3}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -89,9 +90,6 @@ CXXFLAGS="$SLKCFLAGS" \
make LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}"
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# Man pages aren't installed by "make install" anymore...
mkdir -p $PKG/usr/man/man1
for i in speexenc speexdec; do gzip -c9 src/$i.1 > $PKG/usr/man/man1/$i.1.gz; done
@@ -102,6 +100,40 @@ cp -a \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chown root:root {} \; -exec chmod 644 {} \;
+cd $TMP
+rm -rf ${PRGNAM}dsp-$DSPVERSION
+tar xvf $CWD/${PRGNAM}dsp-$DSPVERSION.tar.gz
+cd ${PRGNAM}dsp-$DSPVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION/dsp \
+ --enable-static=no \
+ --enable-sse \
+ --build=$ARCH-slackware-linux
+
+# Hack to also make it look in the right directory on multilib systems
+make LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}"
+make install DESTDIR=$PKG
+
+cp -a \
+ README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION/dsp
+find $PKG/usr/doc -type f -exec chown root:root {} \; -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/audio/speex/speex.info b/audio/speex/speex.info
index 9c4dbfdc18..ba84db9c06 100644
--- a/audio/speex/speex.info
+++ b/audio/speex/speex.info
@@ -1,8 +1,10 @@
PRGNAM="speex"
VERSION="1.2rc2"
HOMEPAGE="http://www.speex.org"
-DOWNLOAD="http://downloads.us.xiph.org/releases/speex/speex-1.2rc2.tar.gz"
-MD5SUM="6ae7db3bab01e1d4b86bacfa8ca33e81"
+DOWNLOAD="http://downloads.xiph.org/releases/speex/speex-1.2rc2.tar.gz \
+ http://downloads.xiph.org/releases/speex/speexdsp-1.2rc3.tar.gz"
+MD5SUM="6ae7db3bab01e1d4b86bacfa8ca33e81 \
+ 70d9d31184f7eb761192fd1ef0b73333"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""